Subject: Re: bug#68483: Qutebrowser QT platform plugin could not be initialized

From: Sergey Trofimov <[email-masked]>
Date: Tue, 16 Jan 2024 11:00:46 +0100

chris <[email-masked]> writes:

> Qutebrowser 3 does not have sound and this appears in the 
> process output. "その
> ようなファイルやディレクトリはありません" means "the file or 
> directory is not
> found".
> ```
> [3158:3158:0116/000131.568005:ERROR:interface_endpoint_client.cc(694)] 
> Message 4 rejected by interface blink.mojom.WidgetHost
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3473:3473:0116/000734.652713:ERROR:alsa_util.cc(204)] PcmOpen: 
> default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3473:3473:0116/000734.653460:ERROR:alsa_util.cc(204)] PcmOpen: 
> plug:default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3473:3473:0116/000824.855365:ERROR:alsa_util.cc(204)] PcmOpen: 
> default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3473:3473:0116/000824.856521:ERROR:alsa_util.cc(204)] PcmOpen: 
> plug:default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3473:3473:0116/000826.415347:ERROR:alsa_util.cc(204)] PcmOpen: 
> default,そのようなファイルやディレクトリはありません
> ALSA lib pcm_dmix.c:1075:(snd_pcm_dmix_open) unable to open 
> slave
> [3473:3473:0116/000826.416368:ERROR:alsa_util.cc(204)] PcmOpen: 
> plug:default,そのようなファイルやディレクトリはありません
> ```

Sound works for me both in X11 and Wayland environments. I use 
pipewire though.